Index: dia/dia-0.86/lib/font.c
diff -u dia/dia-0.86/lib/font.c:1.14 dia/dia-0.86/lib/font.c:1.15
--- dia/dia-0.86/lib/font.c:1.14	Tue Aug 29 15:06:14 2000
+++ dia/dia-0.86/lib/font.c	Mon Sep  4 18:23:41 2000
@@ -101,98 +101,98 @@
 #ifdef USE_XIM
   { "Times-Roman",
     { "Times-Roman", "Ryumin-Light" },
-    { "-adobe-times-medium-r-normal-*-%d-*-*-*-*-*-*-*,-misc-*-medium-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
+    { "-adobe-times-medium-r-normal-*-%d-*-*-*-*-*-*-*,-aliastt-*-medium-r-normal-*-%d-*-*-*-*-*-*-*",
       NULL
     }
   }, 
   { "Times-Italic",
     { "Times-Italic", "Ryumin-Light" },
-    { "-adobe-times-medium-i-normal-*-%d-*-*-*-*-*-*-*,-misc-*-medium-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
+    { "-adobe-times-medium-i-normal-*-%d-*-*-*-*-*-*-*,-aliastt-*-medium-r-normal-*-%d-*-*-*-*-*-*-*",
       NULL
     }
   }, 
   { "Times-Bold",
     { "Times-Bold", "GothicBBB-Medium" },
-    { "-adobe-times-bold-r-normal-*-%d-*-*-*-*-*-*-*,-misc-*-medium-r-bold-*-%d-*-*-*-*-*-jisx0208.1983-0",
+    { "-adobe-times-bold-r-normal-*-%d-*-*-*-*-*-*-*,-aliastt-*-medium-r-bold-*-%d-*-*-*-*-*-*-*",
       NULL
     }
   }, 
   { "Times-BoldItalic",
     { "Times-BoldItalic", "GothicBBB-Medium" },
-    { "-adobe-times-bold-i-normal-*-%d-*-*-*-*-*-*-*,-misc-*-medium-r-bold-*-%d-*-*-*-*-*-jisx0208.1983-0",
+    { "-adobe-times-bold-i-normal-*-%d-*-*-*-*-*-*-*,-aliastt-*-medium-r-bold-*-%d-*-*-*-*-*-*-*",
       NULL
     }
   }, 
   { "AvantGarde-Book",
     { "AvantGarde-Book", "Ryumin-Light" },
-    { "-adobe-avantgarde-book-r-normal-*-%d-*-*-*-*-*-*-*,-misc-*-medium-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
+    { "-adobe-avantgarde-book-r-normal-*-%d-*-*-*-*-*-*-*,-aliastt-*-medium-r-normal-*-%d-*-*-*-*-*-*-*",
       "-schumacher-clean-medium-r-normal-*-%d-*-*-*-*-*-*-*"
     }
   },
   { "AvantGarde-BookOblique",
     { "AvantGarde-BookOblique", "Ryumin-Light" },
-    { "-adobe-avantgarde-book-o-normal-*-%d-*-*-*-*-*-*-*,-misc-*-medium-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
+    { "-adobe-avantgarde-book-o-normal-*-%d-*-*-*-*-*-*-*,-aliastt-*-medium-r-normal-*-%d-*-*-*-*-*-*-*",
       "-schumacher-clean-medium-i-normal-*-%d-*-*-*-*-*-*-*"
     }
   },
   { "AvantGarde-Demi",
     { "AvantGarde-Demi", "GothicBBB-Medium" },
-    { "-adobe-avantgarde-demibold-r-normal-*-%d-*-*-*-*-*-*-*,-misc-*-bold-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
+    { "-adobe-avantgarde-demibold-r-normal-*-%d-*-*-*-*-*-*-*,-aliastt-*-bold-r-normal-*-%d-*-*-*-*-*-*-*",
       "-schumacher-clean-bold-r-normal-*-%d-*-*-*-*-*-*-*"
     }
   },
   { "AvantGarde-DemiOblique",
     { "AvantGarde-DemiOblique", "GothicBBB-Medium" },
-    { "-adobe-avantgarde-demibold-o-normal-*-%d-*-*-*-*-*-*-*,-misc-*-bold-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
+    { "-adobe-avantgarde-demibold-o-normal-*-%d-*-*-*-*-*-*-*,-aliastt-*-bold-r-normal-*-%d-*-*-*-*-*-*-*",
       "-schumacher-clean-bold-i-normal-*-%d-*-*-*-*-*-*-*"
     }
   },
   { "Bookman-Light",
     { "Bookman-Light", "Ryumin-Light" },
-    { "-adobe-bookman-light-r-normal-*-%d-*-*-*-*-*-*-*,-misc-*-medium-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
+    { "-adobe-bookman-light-r-normal-*-%d-*-*-*-*-*-*-*,-aliastt-*-medium-r-normal-*-%d-*-*-*-*-*-*-*",
       "-adobe-times-medium-r-normal-*-%d-*-*-*-*-*-*-*"
     }
   },
   { "Bookman-LightItalic",
     { "Bookman-LightItalic", "Ryumin-Light" },
-    { "-adobe-bookman-light-i-normal-*-%d-*-*-*-*-*-*-*,-misc-*-medium-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
+    { "-adobe-bookman-light-i-normal-*-%d-*-*-*-*-*-*-*,-aliastt-*-medium-r-normal-*-%d-*-*-*-*-*-*-*",
       "-adobe-times-medium-i-normal-*-%d-*-*-*-*-*-*-*"
     }
   },
   { "Bookman-Demi",
     { "Bookman-Demi", "GothicBBB-Medium" },
-    { "-adobe-bookman-demibold-r-normal-*-%d-*-*-*-*-*-*-*,-misc-*-bold-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
+    { "-adobe-bookman-demibold-r-normal-*-%d-*-*-*-*-*-*-*,-aliastt-*-bold-r-normal-*-%d-*-*-*-*-*-*-*",
       "-adobe-times-bold-r-normal-*-%d-*-*-*-*-*-*-*"
     }
   },
   { "Bookman-DemiItalic",
     { "Bookman-DemiItalic", "GothicBBB-Medium" },
-    { "-adobe-bookman-demibold-i-normal-*-%d-*-*-*-*-*-*-*,-misc-*-bold-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
+    { "-adobe-bookman-demibold-i-normal-*-%d-*-*-*-*-*-*-*,-aliastt-*-bold-r-normal-*-%d-*-*-*-*-*-*-*",
       "-adobe-times-bold-i-normal-*-%d-*-*-*-*-*-*-*"
     }
   },
 #ifndef G_OS_WIN32
   { "Courier",
     { "Courier", "Ryumin-Light" },
-    { "-adobe-courier-medium-r-normal-*-%d-*-*-*-*-*-*-*,-misc-*-medium-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
+    { "-adobe-courier-medium-r-normal-*-%d-*-*-*-*-*-*-*,-aliastt-*-medium-r-normal-*-%d-*-*-*-*-*-*-*",
       NULL
     }
   },
   { "Courier-Oblique",
     { "Courier-Oblique", "Ryumin-Light" },
-    { "-adobe-courier-medium-o-normal-*-%d-*-*-*-*-*-*-*,-misc-*-medium-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
+    { "-adobe-courier-medium-o-normal-*-%d-*-*-*-*-*-*-*,-aliastt-*-medium-r-normal-*-%d-*-*-*-*-*-*-*",
       NULL
     }
   },
   { "Courier-Bold",
     { "Courier-Bold", "GothicBBB-Medium" },
-    { "-adobe-courier-bold-r-normal-*-%d-*-*-*-*-*-*-*,-misc-*-bold-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
+    { "-adobe-courier-bold-r-normal-*-%d-*-*-*-*-*-*-*,-aliastt-*-bold-r-normal-*-%d-*-*-*-*-*-*-*",
       NULL
     }
   },
   { "Courier-BoldOblique",
     { "Courier-BoldOblique", "GothicBBB-Medium" },
-    { "-adobe-courier-bold-o-normal-*-%d-*-*-*-*-*-*-*,-misc-*-bold-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
+    { "-adobe-courier-bold-o-normal-*-%d-*-*-*-*-*-*-*,-aliastt-*-bold-r-normal-*-%d-*-*-*-*-*-*-*",
       NULL
     }
   },
@@ -228,116 +228,116 @@
 #endif
   { "Helvetica",
     { "Helvetica", "Ryumin-Light" },
-    { "-adobe-helvetica-medium-r-normal-*-%d-*-*-*-*-*-*-*,-misc-*-medium-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
+    { "-adobe-helvetica-medium-r-normal-*-%d-*-*-*-*-*-*-*,-aliastt-*-medium-r-normal-*-%d-*-*-*-*-*-*-*",
       NULL
     }
   },
   { "Helvetica-Oblique",
     { "Helvetica-Oblique", "Ryumin-Light" },
-    { "-adobe-helvetica-medium-o-normal-*-%d-*-*-*-*-*-*-*,-misc-*-medium-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
+    { "-adobe-helvetica-medium-o-normal-*-%d-*-*-*-*-*-*-*,-aliastt-*-medium-r-normal-*-%d-*-*-*-*-*-*-*",
       NULL
     }
   },
   { "Helvetica-Bold",
     { "Helvetica-Bold", "GothicBBB-Medium" },
-    { "-adobe-helvetica-bold-r-normal-*-%d-*-*-*-*-*-*-*,-misc-*-bold-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
+    { "-adobe-helvetica-bold-r-normal-*-%d-*-*-*-*-*-*-*,-aliastt-*-bold-r-normal-*-%d-*-*-*-*-*-*-*",
       NULL
     }
   },
   { "Helvetica-BoldOblique",
     { "Helvetica-BoldOblique", "GothicBBB-Medium" },
-    { "-adobe-helvetica-bold-o-normal-*-%d-*-*-*-*-*-*-*,-misc-*-bold-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
+    { "-adobe-helvetica-bold-o-normal-*-%d-*-*-*-*-*-*-*,-aliastt-*-bold-r-normal-*-%d-*-*-*-*-*-*-*",
       NULL
     }
   },
   { "Helvetica-Narrow",
     { "Helvetica-Narrow", "Ryumin-Light" },
-    { "-adobe-helvetica-medium-r-normal-*-%d-*-*-*-*-*-*-*,-misc-*-medium-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
+    { "-adobe-helvetica-medium-r-normal-*-%d-*-*-*-*-*-*-*,-aliastt-*-medium-r-normal-*-%d-*-*-*-*-*-*-*",
       NULL
     }
   },
   { "Helvetica-Narrow-Oblique",
     { "Helvetica-Narrow-Oblique", "Ryumin-Light" },
-    { "-adobe-helvetica-medium-o-normal-*-%d-*-*-*-*-*-*-*,-misc-*-medium-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
+    { "-adobe-helvetica-medium-o-normal-*-%d-*-*-*-*-*-*-*,-aliastt-*-medium-r-normal-*-%d-*-*-*-*-*-*-*",
       NULL
     }
   },
   { "Helvetica-Narrow-Bold",
     { "Helvetica-Narrow-Bold", "GothicBBB-Medium" },
-    { "-adobe-helvetica-bold-r-normal-*-%d-*-*-*-*-*-*-*,-misc-*-bold-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
+    { "-adobe-helvetica-bold-r-normal-*-%d-*-*-*-*-*-*-*,-aliastt-*-bold-r-normal-*-%d-*-*-*-*-*-*-*",
       NULL
     }
   },
   { "Helvetica-Narrow-BoldOblique",
     { "Helvetica-Narrow-BoldOblique", "GothicBBB-Medium" },
-    { "-adobe-helvetica-bold-o-normal-*-%d-*-*-*-*-*-*-*,-misc-*-bold-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
+    { "-adobe-helvetica-bold-o-normal-*-%d-*-*-*-*-*-*-*,-aliastt-*-bold-r-normal-*-%d-*-*-*-*-*-*-*",
       NULL
     }
   },
   { "NewCenturySchoolbook-Roman",
     { "NewCenturySchlbk-Roman", "Ryumin-Light" },
-    { "-adobe-new century schoolbook-medium-r-normal-*-%d-*-*-*-*-*-*-*,-misc-*-medium-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
+    { "-adobe-new century schoolbook-medium-r-normal-*-%d-*-*-*-*-*-*-*,-aliastt-*-medium-r-normal-*-%d-*-*-*-*-*-*-*",
       NULL
     }
   },
   { "NewCenturySchoolbook-Italic",
     { "NewCenturySchlbk-Italic", "Ryumin-Light" },
-    { "-adobe-new century schoolbook-medium-i-normal-*-%d-*-*-*-*-*-*-*,-misc-*-medium-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
+    { "-adobe-new century schoolbook-medium-i-normal-*-%d-*-*-*-*-*-*-*,-aliastt-*-medium-r-normal-*-%d-*-*-*-*-*-*-*",
       NULL
     }
   },
   { "NewCenturySchoolbook-Bold",
     { "NewCenturySchlbk-Bold", "GothicBBB-Medium" },
-    { "-adobe-new century schoolbook-bold-r-normal-*-%d-*-*-*-*-*-*-*,-misc-*-bold-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
+    { "-adobe-new century schoolbook-bold-r-normal-*-%d-*-*-*-*-*-*-*,-aliastt-*-bold-r-normal-*-%d-*-*-*-*-*-*-*",
       NULL
     }
   },
   { "NewCenturySchoolbook-BoldItalic",
     { "NewCenturySchlbk-BoldItalic", "GothicBBB-Medium" },
-    { "-adobe-new century schoolbook-bold-i-normal-*-%d-*-*-*-*-*-*-*,-misc-*-bold-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
+    { "-adobe-new century schoolbook-bold-i-normal-*-%d-*-*-*-*-*-*-*,-aliastt-*-bold-r-normal-*-%d-*-*-*-*-*-*-*",
       NULL
     }
   },
   { "Palatino-Roman",
     { "Palatino-Roman", "Ryumin-Light" },
-    { "-adobe-palatino-medium-r-normal-*-%d-*-*-*-*-*-*-*,-misc-*-medium-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
+    { "-adobe-palatino-medium-r-normal-*-%d-*-*-*-*-*-*-*,-aliastt-*-medium-r-normal-*-%d-*-*-*-*-*-*-*",
       "-*-lucidabright-medium-r-normal-*-%d-*-*-*-*-*-*-*"
     }
   },
   { "Palatino-Italic",
     { "Palatino-Italic", "Ryumin-Light" },
-    { "-adobe-palatino-medium-i-normal-*-%d-*-*-*-*-*-*-*,-misc-*-medium-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
+    { "-adobe-palatino-medium-i-normal-*-%d-*-*-*-*-*-*-*,-aliastt-*-medium-r-normal-*-%d-*-*-*-*-*-*-*",
       "-*-lucidabright-medium-i-normal-*-%d-*-*-*-*-*-*-*"
     }
   },
   { "Palatino-Bold",
     { "Palatino-Bold", "GothicBBB-Medium" },
-    { "-adobe-palatino-bold-r-normal-*-%d-*-*-*-*-*-*-*,-misc-*-bold-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
+    { "-adobe-palatino-bold-r-normal-*-%d-*-*-*-*-*-*-*,-aliastt-*-bold-r-normal-*-%d-*-*-*-*-*-*-*",
       "-*-lucidabright-demibold-r-normal-*-%d-*-*-*-*-*-*-*"
     }
   },
   { "Palatino-BoldItalic",
     { "Palatino-BoldItalic", "GothicBBB-Medium" },
-    { "-adobe-palatino-bold-i-normal-*-%d-*-*-*-*-*-*-*,-misc-*-bold-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
+    { "-adobe-palatino-bold-i-normal-*-%d-*-*-*-*-*-*-*,-aliastt-*-bold-r-normal-*-%d-*-*-*-*-*-*-*",
       "-*-lucidabright-demibold-i-normal-*-%d-*-*-*-*-*-*-*"
     }
   },
   { "Symbol",
     { "Symbol", "Ryumin-Light" },
     {
-      "-adobe-symbol-medium-r-normal-*-%d-*-*-*-*-*-*-*,-misc-*-medium-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
+      "-adobe-symbol-medium-r-normal-*-%d-*-*-*-*-*-*-*,-aliastt-*-medium-r-normal-*-%d-*-*-*-*-*-*-*",
       "-*-symbol-medium-r-normal-*-%d-*-*-*-*-*-*-*"
     }
   },
   { "ZapfChancery-MediumItalic",
     { "ZapfChancery-MediumItalic", "Ryumin-Light" },
-    { "-adobe-zapf chancery-medium-i-normal-*-%d-*-*-*-*-*-*-*,-misc-*-medium-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
+    { "-adobe-zapf chancery-medium-i-normal-*-%d-*-*-*-*-*-*-*,-aliastt-*-medium-r-normal-*-%d-*-*-*-*-*-*-*",
       "-*-itc zapf chancery-medium-i-normal-*-%d-*-*-*-*-*-*-*"
     }
   },
   { "ZapfDingbats",
     { "ZapfDingbats", "Ryumin-Light" },
-    { "-adobe-zapf dingbats-medium-r-normal-*-%d-*-*-*-*-*-*-*,-misc-*-medium-r-normal-*-%d-*-*-*-*-*-jisx0208.1983-0",
+    { "-adobe-zapf dingbats-medium-r-normal-*-%d-*-*-*-*-*-*-*,-aliastt-*-medium-r-normal-*-%d-*-*-*-*-*-*-*",
       "-*-itc zapf dingbats-*-*-*-*-%d-*-*-*-*-*-*-*"
     }
   },
@@ -594,7 +594,7 @@
 GHashTable *fonts_hash = NULL;
 
 char *last_resort_fonts[] = {
-  "-alias-*-medium-r-normal-*-%d-*-*-*-*-*-*-*",
+  "-aliastt-*-medium-r-normal-*-%d-*-*-*-*-*-*-*",
   "fixed" /* Must be last. This is guaranteed to exist on an X11 system. */
 };
 #define NUM_LAST_RESORT_FONTS (sizeof(last_resort_fonts)/sizeof(char *))
